Extending Qt Creator Manual | Environment

Extending Qt Creator Manual 4.5.2

# Environment Class

(CPlusPlus::Environment)

- List of all members, including inherited members

## Public Types

typedef | iterator

## Public Functions

| Environment()
| ~Environment()
void | addMacros(const QList<Macro> &macros)
Macro * | bind(const Macro &macro)
void | dump() const
iterator | firstMacro() const
iterator | lastMacro() const
Macro * | macroAt(unsigned index) const
unsigned | macroCount() const
Macro * | remove(const ByteArrayRef &name)
void | reset()
Macro * | resolve(const ByteArrayRef &name) const

## Static Public Members

bool | isBuiltinMacro(const ByteArrayRef &name)

## Member Type Documentation

### typedef Environment::iterator

## Member Function Documentation

### Environment::Environment()

Default constructs an instance of Environment.

### Environment::~Environment()

Destroys the instance of Environment.

### void Environment::addMacros(const QList<Macro> &macros)

### Macro *Environment::bind(const Macro &macro)

### void Environment::dump() const

### iterator Environment::firstMacro() const

### `[static]` bool Environment::isBuiltinMacro(const ByteArrayRef &name)

### iterator Environment::lastMacro() const

### Macro *Environment::macroAt(unsigned index) const

### unsigned Environment::macroCount() const

### Macro *Environment::remove(const ByteArrayRef &name)

### void Environment::reset()

### Macro *Environment::resolve(const ByteArrayRef &name) const